defmodule Example.Game do
  require Logger
  @behaviour Amethyst.API.Game

  @impl true
  def instantiate(supervisor) do
    Logger.info("The supervisor for this game is at #{inspect(supervisor)}")
    {:ok, %{}}
  end

  @impl true
  def login(from, cfg, refs) do
    Logger.info("Player logged in from #{inspect(from)}: #{inspect(cfg)}")
    Logger.info("The refs for this game are #{inspect(refs)}")
    :ok
  end

  @impl true
  def player_position(from, {x, y, z}, refs) do
    Logger.info("Player at #{inspect(from)} moved to #{x}, #{y}, #{z}")
    :ok
  end

  @impl true
  def joinable?(refs) do
    true
  end
end
